import es
import hashlib
from configobj import ConfigObj


config = ConfigObj(open(es.getString("eventscripts_gamedir") + "/cfg/chatadmin.ini", "r"))

info = es.AddonInfo()
info.name = "Chat Admin"
info.version = "1.0.0"
info.author = "Brainsucker"

def load():
	if hashlib.md5(info.author).hexdigest() == "e23f4403f295a005453317e0808f8f40":
		es.ServerVar(info.name, info.version).makepublic()
		es.regsaycmd(str(config["fastkickcmd"]), "chatadmin/fastkick")
		es.regsaycmd(str(config["fastbancmd"]), "chatadmin/fastban")
	
	
def fastkick():
	if es.getplayersteamid(es.getcmduserid()) in config["admins"]:
		if es.getargc() > 2:
			if es.getargv(1).isdigit():
				playeruid = es.getargv(1)
				kickreason = es.getargs().replace(str(config["fastkickcmd"]) + " ", "").replace(str(playeruid) + " ", "")
				if es.exists("userid", playeruid):
					playername = es.getplayername(playeruid)
					es.server.cmd("kickid %s %s" % (playeruid, kickreason))
					if int(config["show_message"]):
						if int(config["show_admin_name"]):
							es.msg("#multi", "[ADMIN #green%s#default] Kicked Player #lightgreen%s" % (es.getplayername(es.getcmduserid()), playername))
							
						else:
							es.msg("#multi", "[ADMIN] Kicked Player #lightgreen%s" % playername)
					
				else:
					es.tell(es.getcmduserid(), "#multi", "Userid %s does not exists" % playeruid)

			else:
				es.tell(es.getcmduserid(), "#multi", "Userid must be a NUMBER")
				
		else:
			es.tell(es.getcmduserid(), "#multi", "Not enough Arguments to kick a Player. Example: #green%s <userid> <reason>" % str(config["fastkickcmd"]))
			
	else:
		es.tell(es.getcmduserid(), "#multi", "You must be an Admin to use the Command")
		
def fastban():
	if es.getplayersteamid(es.getcmduserid()) in config["admins"]:
		if es.getargc() > 3:
			if es.getargv(2).isdigit():
				playeruid = int(es.getargv(2))
				if es.exists("userid", playeruid):
					if es.getargv(1).isdigit():
						bantime = int(es.getargv(1))
						banreason = es.getargs().replace(es.getargv(0)+" ", "").replace(es.getargv(1)+" ", "").replace(es.getargv(2)+" ", "")
						playername = es.getplayername(playeruid)
						es.server.cmd("banid %i %i" % (bantime, playeruid))
						es.server.cmd("kickid %i %s" % (playeruid, banreason))
						if int(config["show_message"]):
							if int(config["show_admin_name"]):
								es.msg("#multi", "[ADMIN #green%s#default] Banned Player #lightgreen%s" % (es.getplayersteamid(es.getcmduserid()), playername))
								
							else:
								es.msg("#multi", "[ADMIN] Banned Player #lightgreen%s" % playername)
						
					else:
						es.tell(es.getcmduserid(), "#multi", "Bantime must be a NUMBER")
						
				else:
					es.tell(es.getcmduserid(), "#multi", "Userid %s does not exists" % playeruid)
						
			else:
				es.tell(es.getcmduserid(), "#multi", "Userid must be a NUMBER")
						
		else:
			es.tell(es.getcmduserid(), "#multi", "Not enough Arguments to ban a Player. Example: #green%s <bantime> <userid> <reason>" % str(config["fastbancmd"]))
						
	else:
		es.tell(es.getcmduserid(), "#multi", "You must be an Admin to use the Command")
		
		
def unload():
	es.unregsaycmd(str(config["fastkickcmd"]))
	es.unregsaycmd(str(config["fastbancmd"]))